<template>
  <div class="row justify-end items-center">
    <div class="q-mr-md">
      <q-img :src="getFlagSrc(locale)" alt="flag" width="40px" height="30px" />
    </div>
    <q-select
      class="col-3"
      v-model="locale"
      :options="localeOptions"
      :label="t('language')"
      dense
      outlined
      emit-value
      map-options
      dropdown-icon="expand_more"
      options-dense
      style="min-width: 150px"
    />
  </div>
</template>

<script setup lang="ts">
import { computed } from 'vue';
import { useI18n } from 'vue-i18n';
const { locale } = useI18n({ useScope: 'global' });
const { t } = useI18n();
const localeOptions = [
  { value: 'en-US', label: 'English' },
  { value: 'sk', label: 'Slovak' },
];

const getFlagSrc = (locale: string) => {
  // Convert 'en-US' to 'en' for the asset path
  const value = locale.includes('-') ? locale.split('-')[0] : locale;
  return `/src/assets/${value}.png`;
};
</script>

<style scoped></style>
